CODE_COMMENT_PUBLIC_HEADERS = files(
  'tepl-code-comment.h',
  'tepl-code-comment-view.h',
)

CODE_COMMENT_PUBLIC_C_FILES = files(
  'tepl-code-comment-view.c',
)

code_comment_headers_install_dir = join_paths(get_option('includedir'),
  '@0@-@1@/tepl/code-comment/'.format(meson.project_name(), TEPL_API_VERSION))
install_headers(
  CODE_COMMENT_PUBLIC_HEADERS,
  install_dir: code_comment_headers_install_dir
)

CODE_COMMENT_STATIC_LIB = static_library(
  'code-comment-static',
  [CODE_COMMENT_PUBLIC_HEADERS,
   CODE_COMMENT_PUBLIC_C_FILES],
  pic: true, # this static lib is potentially linked in a shared library.
  include_directories: ROOT_INCLUDE_DIR,
  dependencies: TEPL_DEPS,
  c_args: '-DTEPL_COMPILATION',
)
